GRUB-FSTEST(1)

BEZEICHNUNG
grub-fstest - Debug-Werkzeug für GRUB-Dateisystemtreiber

ÜBERSICHT
grub-fstest [OPTION …] ABBILDPFAD BEFEHLE

BESCHREIBUNG
Debug-Werkzeug für Dateisystemtreiber.

    Befehle:

blocklist DATEI
    zeigt die Blockliste der angegebenen DATEI an.

cat DATEI
    kopiert die angegebene DATEI in die Standardausgabe.

cmp DATEI LOKALE_DATEI
    vergleicht die DATEI mit der LOKALEN_DATEI.

cp DATEI LOKALE_DATEI
    kopiert die DATEI zur LOKALEN_DATEI.

crc DATEI
    ermittelt die crc32-Prüfsumme der angegebenen DATEI.

hex DATEI
    zeigt den Inhalt der angegebenen DATEI in hexadezimaler Form an.

ls PFAD
    listet Dateien im angegebenen PFAD auf.

xnu_uuid GERÄT
    berechnet die XNU-UUID des Geräts.

zfs-bootfs ZFS-DATENSATZ
    berechnet den ZFS-Datensatz-Systemstartpfad.

-c, --diskcount=ANZAHL
    gibt die Anzahl der Eingabedateien an.

-C, --crypto
    hängt verschlüsselte Geräte ein.

-d, --debug=ZEICHENKETTE
    setzt die Debug-Umgebungsvariable.

-K, --zfs-key=DATEI|Eingabeaufforderung
    lädt den ZFS-Kryptoschlüssel.

-n, --length=ANZAHL
    verarbeitet die angegebene ANZAHL Byte in der Ausgabedatei.

-r, --root=GERÄTENAME
    legt das Wurzelgerät fest.

-s, --skip=ANZAHL
    überspringt die angegebene ANZAHL Byte in der Ausgabedatei.

-u, --uncompress
    dekomprimiert Daten.

-v, --verbose
    gibt ausführliche Meldungen aus.

-?, --help
    gibt eine kurze Hilfe aus.

--usage
    gibt eine kurze Meldung zur Verwendung aus.

-V, --version
    gibt die Programmversion aus.

Erforderliche oder optionale Argumente für lange Optionen sind ebenso erforderlich bzw. optional für die entsprechenden Kurzoptionen.

SIEHE AUCH
grub-probe(8)

Die vollständige Dokumentation für grub-fstest wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und grub-fstest auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info grub-fstest

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).